# kio Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KExecPropsPlugin Class Reference

Remove in KDE4. More...

`#include <kpropertiesdialog.h>`

Inheritance diagram for KExecPropsPlugin:

[legend]
Collaboration diagram for KExecPropsPlugin:

[legend]
List of all members.

## Public Slots

void | slotBrowseExec ()

## Public Member Functions

| KExecPropsPlugin (KPropertiesDialog *_props)
virtual void | applyChanges ()

## Static Public Member Functions

static bool | supports (KFileItemList _items)

## Detailed Description

Remove in KDE4.

Such files are used to represent a program in kicker and konqueror.

Definition at line 825 of file kpropertiesdialog.h.

## Constructor & Destructor Documentation

KExecPropsPlugin::KExecPropsPlugin | ( | KPropertiesDialog * | _props | ) |

Constructor.

Definition at line 3404 of file kpropertiesdialog.cpp.

References QWhatsThis::add(), KCompletion::addItem(), QGridLayout::addMultiCellWidget(), KDialogBase::addPage(), QGridLayout::addWidget(), KPropsDlgPlugin::changed(), QFile::close(), QObject::connect(), QString::contains(), QString::isNull(), QFile::open(), KConfigBase::readBoolEntry(), KConfigBase::readEntry(), KConfigBase::readPathEntry(), QString::replace(), KCompletionBase::setAutoDeleteCompletionObject(), QLabel::setBuddy(), QCheckBox::setChecked(), QGridLayout::setColStretch(), QGroupBox::setColumnLayout(), KLineEdit::setCompletionMode(), KLineEdit::setCompletionObject(), KConfigBase::setDesktopGroup(), KConfigBase::setDollarExpansion(), KCompletion::setOrder(), KLineEdit::setText(), QCheckBox::setText(), and QButton::setText().

## Member Function Documentation

void KExecPropsPlugin::applyChanges | ( |  | ) | `[virtual]`

Applies all changes to the file.

This function is called when the user presses 'Ok'. The last plugin inserted is called first.

Reimplemented from KPropsDlgPlugin.

Definition at line 3653 of file kpropertiesdialog.cpp.

References QFile::close(), endl(), QString::fromLatin1(), QCheckBox::isChecked(), kdDebug(), KPropertiesDialog::kurl(), QFile::open(), KURL::path(), KConfigBase::setDesktopGroup(), KMessageBox::sorry(), QString::stripWhiteSpace(), QLineEdit::text(), KConfigBase::writeEntry(), and KConfigBase::writePathEntry().

The documentation for this class was generated from the following files:

- kpropertiesdialog.h
- kpropertiesdialog.cpp

This file is part of the documentation for kio Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:24:35 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003